import { Box, Text } from 'ink';
import React from 'react';
import { useComments } from '../hooks/use-comments.js';
import { SuiteSummary } from '../suite-summary.js';
import { TimedOut } from '../timed-out.js';
import { Log } from './log.js';
import { ResultDetailList } from './result-detail-list.js';
import { Runs } from './runs.js';
export const Base = ({ test, config }) => (React.createElement(Box, { flexDirection: "column" },
    React.createElement(Log, { test: test, config: config }),
    React.createElement(ResultDetailList, { test: test }),
    React.createElement(Runs, { test: test }),
    React.createElement(SuiteSummary, { test: test }),
    React.createElement(Box, { flexDirection: "column" },
        useComments(test).map((c, key) => (React.createElement(Box, { key: key },
            React.createElement(Text, { dimColor: true }, c)))),
        React.createElement(TimedOut, { test: test }))));
//# sourceMappingURL=index.js.map