import { Box, Text } from 'ink';
import React from 'react';
import { useIsDone } from '../hooks/use-is-done.js';
import { useSubtests } from '../hooks/use-subtests.js';
import { TestSummary } from './test-summary.js';
const bannerWords = '  🌈 TEST COMPLETE 🌈  ';
const Banner = () => (React.createElement(Box, { flexDirection: "column" },
    React.createElement(Text, { backgroundColor: "#fff" }, ' '.repeat(bannerWords.length)),
    React.createElement(Text, { bold: true, color: "black", backgroundColor: "#fff" }, bannerWords),
    React.createElement(Text, { backgroundColor: "#fff" }, ' '.repeat(bannerWords.length))));
export const ResultDetailList = ({ test }) => {
    const tests = useSubtests(test, 'finished');
    const t = tests.filter(t => t.lists.fail.length ||
        t.lists.skip.length ||
        t.lists.todo.length);
    const done = useIsDone(test);
    return !done ? (React.createElement(React.Fragment, null)) : (React.createElement(Box, { flexDirection: "column", marginTop: 1 },
        React.createElement(Banner, null),
        t.map((test, key) => (React.createElement(Box, { key: key, flexDirection: "column", marginTop: 1 },
            React.createElement(TestSummary, { test: test, details: true }))))));
};
//# sourceMappingURL=result-detail-list.js.map