import { render } from 'ink';
import React from 'react';
import { Base } from './base/index.js';
import { Terse } from './terse/index.js';
export const types = {
    base: Base,
    terse: Terse,
};
export const report = async (Type, tap, config) => {
    if (typeof Type === 'string') {
        if (!types.hasOwnProperty(Type)) {
            throw new TypeError(`unknown report type: ${Type}`);
        }
        Type = types[Type];
    }
    tap.register();
    // always show the cursor when we finish
    tap.on('complete', () => process.stdout.write('\x1b[?25h'));
    render(React.createElement(Type, { test: tap, config: config }), {
        patchConsole: false,
    });
    return true;
};
//# sourceMappingURL=index.js.map