import { Box, Text } from 'ink';
import React from 'react';
import { stringify } from 'tap-yaml';
import { Diff } from './diff.js';
import { Source } from './source.js';
import { Stack } from './stack.js';
export const ResultDetails = ({ result }) => {
    if (!result.diag)
        return React.createElement(React.Fragment, null);
    const { test, stack, diff, at, source, ...otherDiags } = result.diag;
    return (React.createElement(Box, { paddingLeft: 4, flexDirection: "column" },
        React.createElement(Diff, { diff: diff }),
        React.createElement(Source, { at: at, source: source }),
        React.createElement(Stack, { stack: stack }),
        !!Object.keys(otherDiags).length && (React.createElement(Text, { dimColor: true }, stringify(otherDiags).trim()))));
};
//# sourceMappingURL=result-details.js.map