import { Box } from 'ink';
import React from 'react';
import { useIsDone } from '../hooks/use-is-done.js';
import { useSubtests } from '../hooks/use-subtests.js';
import { TestSummary } from './test-summary.js';
export const ResultDetailList = ({ test, }) => {
    const tests = useSubtests(test, 'finished');
    const t = tests.filter(t => t.lists.fail.length);
    const done = useIsDone(test);
    return !done ? (React.createElement(React.Fragment, null)) : (React.createElement(Box, { flexDirection: "column", gap: 1 }, t.map((test, key) => (React.createElement(Box, { key: key, flexDirection: "column" },
        React.createElement(TestSummary, { test: test }))))));
};
//# sourceMappingURL=result-detail-list.js.map