import { Text } from 'ink';
import React from 'react';
export const TestBadge = ({ test }) => {
    const { results, counts, options } = test;
    if (!results) {
        return (React.createElement(Text, { backgroundColor: "yellow", color: "#000", bold: true }, ' RUNS '));
    }
    const { ok, skip: resultsSkip, plan: { skipAll }, } = results;
    const { fail, todo, skip } = counts;
    return !ok || !!fail || options.signal || options.exitCode ? (React.createElement(Text, { backgroundColor: "red", color: "#fff", bold: true }, ' FAIL ')) : !!todo ? (React.createElement(Text, { backgroundColor: "#808", color: "#fff", bold: true }, ' TODO ')) : !!skip || skipAll || !!resultsSkip ? (React.createElement(Text, { backgroundColor: "blue", color: "#fff", bold: true }, ' SKIP ')) : (React.createElement(Text, { backgroundColor: "#0a0", color: "#000", bold: true }, ' PASS '));
};
//# sourceMappingURL=test-badge.js.map